Class ListPoliciesGrantedRequest

java.lang.Object
com.eqixiac.equinix.sts.model.json.creators.ListPoliciesGrantedRequest

public class ListPoliciesGrantedRequest extends Object
Request body for POST /v1/accessPoliciesGranted (operationId listAccessPoliciesGranted, spec schema ListPoliciesGrantedInput) — lists the access policies granted to the subject identified by a token within a project.
  • Constructor Details

    • ListPoliciesGrantedRequest

      public ListPoliciesGrantedRequest()
  • Method Details

    • projectId

      public ListPoliciesGrantedRequest projectId(String projectId)
      Sets the project identifier (required).
      Parameters:
      projectId - the project id
      Returns:
      this request for chaining
    • subjectToken

      public ListPoliciesGrantedRequest subjectToken(String subjectToken)
      Sets the ID or access token identifying the subject to list granted policies for (required).
      Parameters:
      subjectToken - the subject token
      Returns:
      this request for chaining
    • subjectTokenType

      public ListPoliciesGrantedRequest subjectTokenType(String subjectTokenType)
      Sets the subject token type (required), e.g. urn:ietf:params:oauth:token-type:id_token.
      Parameters:
      subjectTokenType - the subject token type
      Returns:
      this request for chaining
    • pageSize

      public ListPoliciesGrantedRequest pageSize(Integer pageSize)
      Sets the maximum number of results per page.
      Parameters:
      pageSize - the page size
      Returns:
      this request for chaining
    • pageToken

      public ListPoliciesGrantedRequest pageToken(String pageToken)
      Sets the opaque page token from a prior response.
      Parameters:
      pageToken - the page token
      Returns:
      this request for chaining